<?php

namespace Tests\Jiesuan\Http\Controllers;

use Modules\Jiesuan\Http\Controllers\FinanceCheckController;
use PHPUnit\Framework\TestCase;
use Tests\UsedTestCase;

class FinanceCheckControllerTest extends UsedTestCase
{

    public function testList()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/jiesuanManage/financeCheck/list',[
            'status' => 4,
//            'owner_name' => 'fsd1'
        ]);
        $res->dump();
//        $this->dumpJson($res);
    }
    public function testCheck()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/jiesuanManage/financeCheck/check',[
            'status' => 2,
            'id' => 1,
        ]);
        $res->dump();
    }

    public function testremit()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/jiesuanManage/financeCheck/remit',[
            'status' => 4,
            'id' => 1,
            'pay_channel' => '治愈',
            'pay_no' => '13214321',
            'remark' => 'kjlj',
        ]);
        $res->dump();
    }
    public function testgetShanghuAccountInfo()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/jiesuanManage/financeCheck/getShanghuAccountInfo',[
            'company_uid' => 1,
        ]);
//        $res->dump();
        $this->dumpJson($res);
    }
}
